<?php namespace Site21\PartnersPrices\Classes\Event\Offer;

use Lovata\Toolbox\Classes\Event\AbstractBackendFieldHandler;

use Lovata\Shopaholic\Models\Offer;
use Lovata\Shopaholic\Controllers\Offers;

class ExtendOfferFieldsHandler extends AbstractBackendFieldHandler
{
    protected function extendFields($obWidget)
    {
        $arAdditionFields = [
            'partner_link' => [
                'label'   => 'Ссылка для парсинга цены',
                'tab'     => 'lovata.toolbox::lang.tab.settings',
                'type'    => 'text',
                'span'    => 'left',
            ],
        ];

        $obWidget->addTabFields($arAdditionFields);
    }

    protected function getModelClass() : string
    {
        return Offer::class;
    }

    protected function getControllerClass() : string
    {
        return Offers::class;
    }
}