<?php namespace Site21\PartnersPrices\Classes\Event\Offer;

use Lovata\Shopaholic\Models\Offer;
use Lovata\Shopaholic\Classes\Collection\OfferCollection;


class ExtendOfferCollection
{
    public function subscribe()
    {
        OfferCollection::extend(function ($obOfferList) {
            $this->addCustomMethod($obOfferList);
        });
    }

    protected function addCustomMethod($obOfferList)
    {
        $obOfferList->addDynamicMethod('withPartnerLink', function () use ($obOfferList) {
            
            $arResultIDList = (array) Offer::whereNotNull('partner_link')->lists('id');

            return $obOfferList->intersect($arResultIDList);
        });
    }
}